Subject: bug#72419: 31.0.50; Macro editing can't deal with event appliers

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Aug 2024 18:45:14 +0300

> From: Visuwesh <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 17 Aug 2024 19:50:01 +0530
> 
> [சனி ஆகஸ்ட் 17, 2024] Eli Zaretskii wrote:
> 
> >> Rather than binding a command to XF86Launch6, typing C-x @ m reproduces
> >> the error here.
> >
> > Thanks, but I don't think I follow: type "C-x @ m" instead of which
> > step in the OP's recipe?
> >
> > Could you show a complete recipe, please?
> 
> Here's what I followed:
> 
> 1. emacs -Q
> 2. C-x (
> 3. C-x @ m x
> 4. C-g 
> 4. C-x )
> 5. M-x kmacro-edit-macro RET

Thanks.  This seems to be a very old bug.  Looks like indeed macro
editing was not adapted to support event modifier-applying commands,
or maybe it's a problem with function-key-map.

Perhaps Stefan (CC'ed) will have some suggestions.